package main

import "git.wit.com/wit/gui"

import "github.com/andlabs/ui"
import _ "github.com/andlabs/ui/winmanifest"


func getSplashText() *ui.AttributedString {
	var aText  *ui.AttributedString
	aText = ui.NewAttributedString("Click to continue")
	return aText
}

func getNEWTEXT() *ui.AttributedString {
	var aText  *ui.AttributedString
	aText = ui.NewAttributedString("")

	gui.AreaAppendText(aText, "Welcome to the Cloud Control Panel\n", ui.TextSize(16), ui.TextColor{0.0, 0.0, 0.8, .8})
	gui.AreaAppendText(aText, "(alpha)\n\n", ui.TextSize(10))

	gui.AreaAppendText(aText, "This control panel was designed to be an interface to your 'private' cloud. ", ui.TextWeightBold)
	gui.AreaAppendText(aText, "The concept of a private cloud means that you can use a providers system, or, seemlessly, use your own hardware in your own datacenter. ", ui.TextWeightBold)

	aText.AppendUnattributed("\n")
	aText.AppendUnattributed("\n")
	gui.AreaAppendText(aText, "This control panel requires:\n")
	aText.AppendUnattributed("\n")
	gui.AreaAppendText(aText, "IPv6\n")
	gui.AreaAppendText(aText, "Your hostname in DNS\n")
	aText.AppendUnattributed("\n\n\n\n\n")

	gui.AreaAppendText(aText, "<click or press any key>\n", ui.TextSize(10))

	return aText
}
